Daemon Power

The NetBSD Packages Collection: www/ruby-coffee-rails32

Brief description of the package:
Coffee Script adapter for the Rails 3.2 asset pipeline

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/rails/coffee-rails/tree/3-1-stable/.

Please note that this package has a mit license.

The package is located in the "www/ruby-coffee-rails32" directory. The current source version of the package is "ruby23-coffee-rails-3.2.2nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/ruby-coffee-rails32 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-coffee-script>=2.2.0 ruby23-coffee-script-source>=0 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-execjs>=0 nodejs>=4 {gcc49,gcc49-libs}>=4.9 gcc49-4.9.4{,nb[0-9]*} gsed>=3.0.2 gmp>=4.2.1 gmp>=4.3.2 mpcomplex>=0.8.2 mpfr>=2.4.2 gmp>=5.0.1 mpfr>=2.0.3 mpfr>=3.0.0.3 openssl>=1.0.2 perl>=5.0 p5-Perl4-CoreLibs-[0-9]* perl>=5.26.0 perl<5.28.0 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 openssl>=1.0.1c python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 icu>=3.4 openssl>=1.0.2gnb1 python27>=2.7.1nb2 icu>=59.1nb1 lockf-[0-9]* gcc49>=4.9 gcc49>=4.9.1 ruby23-railties32>=3.2.22.5<3.3 ruby23-thor<2.0 ruby23-rack-ssl>=1.3.2<1.5 ruby23-rack14>=0 ruby23-actionpack32>=3.2.22.5<3.2.23 ruby23-activemodel32>=3.2.22.5<3.2.23 ruby23-activesupport32>=3.2.22.5<3.2.23 ruby23-i18n>=0.6<1 ruby23-multi_json>=1.0<2 ruby23-builder30>=3.0.0<3.1 ruby23-rack14>=1.4.5<1.5 ruby23-rack-cache>=1.2<2 ruby23-rack14>=0.4 ruby23-rack-test>=0.6.1<0.7 ruby23-rack14>=1.0 ruby23-journey>=1.0.4<1.1 ruby23-sprockets22>=2.2.1<2.3 ruby23-hike1>=1.2<2 ruby23-rack14>=1.4<2 ruby23-tilt1>=1.1<2 ruby23-erubis>=2.7.0<2.8 .

This package requires the following package(s) to run: ruby23-coffee-script>=2.2.0 ruby23-coffee-script-source>=0 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-execjs>=0 nodejs>=4 {gcc49,gcc49-libs}>=4.9 openssl>=1.0.2 perl>=5.0 openssl>=1.0.1c python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 icu>=3.4 openssl>=1.0.2gnb1 python27>=2.7.1nb2 icu>=59.1nb1 ruby23-railties32>=3.2.22.5<3.3 ruby23-thor<2.0 ruby23-rack-ssl>=1.3.2<1.5 ruby23-rack14>=0 ruby23-actionpack32>=3.2.22.5<3.2.23 ruby23-activemodel32>=3.2.22.5<3.2.23 ruby23-activesupport32>=3.2.22.5<3.2.23 ruby23-i18n>=0.6<1 ruby23-multi_json>=1.0<2 ruby23-builder30>=3.0.0<3.1 ruby23-rack14>=1.4.5<1.5 ruby23-rack-cache>=1.2<2 ruby23-rack14>=0.4 ruby23-rack-test>=0.6.1<0.7 ruby23-rack14>=1.0 ruby23-journey>=1.0.4<1.1 ruby23-sprockets22>=2.2.1<2.3 ruby23-hike1>=1.2<2 ruby23-rack14>=1.4<2 ruby23-tilt1>=1.1<2 ruby23-erubis>=2.7.0<2.8 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
arm:ruby200-coffee-rails-3.2.2.tgz(NetBSD 6.1_STABLE)
earmv7hf:ruby200-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby193-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby200-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
earmv7hf:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 8.0_BETA)
i386:ruby18-coffee-rails-3.2.2.tgz(MirBSD 10)
i386:ruby193-coffee-rails-3.2.2.tgz(MirBSD 10)
i386:ruby200-coffee-rails-3.2.2.tgz(MirBSD 10)
i386:ruby211-coffee-rails-3.2.2.tgz(MirBSD 10)
i386:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
i386:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
i386:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
i386:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby23-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby23-coffee-rails-3.2.2.tgz(NetBSD 7.0)
i386:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
i386:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
i386:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
sparc:ruby193-coffee-rails-3.2.2.tgz(NetBSD 5.1)
sparc:ruby193-coffee-rails-3.2.2.tgz(NetBSD 5.1)
sparc:ruby193-coffee-rails-3.2.2.tgz(NetBSD 6.0)
sparc:ruby200-coffee-rails-3.2.2.tgz(NetBSD 6.0)
x86_64:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby23-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby23-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby21-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby22-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby23-coffee-rails-3.2.2.tgz(NetBSD 7.0)
x86_64:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0)
x86_64:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)
x86_64:ruby22-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-coffee-rails-3.2.2nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]